MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::StateSend Class Reference

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::StateSend:
[legend]
Collaboration diagram for sc::StateSend:
[legend]

## Public Member Functions
| StateSend (const Ref< MessageGrp > &)
| Create a StateSend given a MessageGrp.
void | target (int)
| Specify the target node.
void | flush ()
| Flush the buffer.
Public Member Functions inherited from sc::MsgStateSend
| MsgStateSend (const Ref< MessageGrp > &)
void | set_buffer_size (int)
| The buffer size of statein and stateout objects that communicate with each other must match. More...
int | put (const ClassDesc *)
| I only need to override put(const ClassDesc*) but C++ will hide all of the other put's so I must override everything. More...
int | put (char r)
| Write the given datum.
int | put (unsigned int r)
int | put (int r)
int | put (float r)
int | put (double r)
int | put (const char *, int)
| Write the given array data. More...
int | put (const int *, int)
int | put (const unsigned int *, int)
int | put (const float *, int)
int | put (const double *, int)
Public Member Functions inherited from sc::StateOut
virtual void | put_header ()
| Write out header information.
virtual int | putstring (const char *)
| This is like put except the length of the char array is determined by interpreting the character array as a character string. More...
virtual int | put (const std::string &)
| Write out a std::string object.
virtual int | put (bool r)
virtual int | put (unsigned long r)
virtual int | put_array_char (const char *p, int size)
| Put arrays of data. More...
virtual int | put_array_uint (const unsigned int *p, int size)
virtual int | put_array_int (const int *p, int size)
virtual int | put_array_float (const float *p, int size)
virtual int | put_array_double (const double *p, int size)
template<class T >
int | put (typename std::vector< T > &v)
| Write an STL vector of data.
void | forget_references ()
| Don't keep track of pointers to objects. More...
void | copy_references ()
| If a reference to an object that has already been written is encountered, copy it instead of generating a reference to the first object. More...
virtual int | use_directory ()
| Returns true if this object uses a directory.
int | node_to_node () const
| True if this is a node to node save/restore. More...
virtual int | tell ()
| Returns the current position in the file. More...
virtual void | seek (int loc)
| Set the current position in the file. More...
virtual int | seekable ()
| Return non-zero if tell and seek do anything sensible. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Protected Member Functions inherited from sc::MsgStateSend
int | put_array_void (const void *, int)
Protected Attributes inherited from sc::MsgStateSend
Ref< MessageGrp > | grp
int | nbuf
int | bufsize
char * | buffer
char * | send_buffer
int | nheader
int * | nbuf_buffer

## Detailed Description

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp.

The documentation for this class was generated from the following file:

- mstate.h